Bug 1467758 - [abrt] evince: evince-thumbnailer killed by SIGSEGV
[abrt] evince: evince-thumbnailer killed by SIGSEGV
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ea730daddef17a1023756cc98d3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-04 22:28 EDT by mb272936
Modified: 2017-07-07 06:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-07 06:33:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (14.41 KB, text/plain)
2017-07-04 22:28 EDT, mb272936
no flags Details
File: cgroup (259 bytes, text/plain)
2017-07-04 22:28 EDT, mb272936
no flags Details
File: core_backtrace (6.17 KB, text/plain)
2017-07-04 22:28 EDT, mb272936
no flags Details
File: dso_list (8.18 KB, text/plain)
2017-07-04 22:28 EDT, mb272936
no flags Details
File: environ (1.51 KB, text/plain)
2017-07-04 22:28 EDT, mb272936
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-04 22:28 EDT, mb272936
no flags Details
File: maps (38.79 KB, text/plain)
2017-07-04 22:28 EDT, mb272936
no flags Details
File: mountinfo (4.40 KB, text/plain)
2017-07-04 22:28 EDT, mb272936
no flags Details
File: namespaces (102 bytes, text/plain)
2017-07-04 22:28 EDT, mb272936
no flags Details
File: open_fds (440 bytes, text/plain)
2017-07-04 22:28 EDT, mb272936
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-07-04 22:28 EDT, mb272936
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-07-04 22:28 EDT, mb272936
no flags Details
file that may be causing evince to crash, requested by Caolan McNamara (114.62 KB, application/pdf)
2017-07-06 18:23 EDT, mb272936
no flags Details

  None (edit)
Description mb272936 2017-07-04 22:28:32 EDT
Description of problem:
boot to fedora 25 with updates as of 4 July
startup apps include evince
evince starts, displays thumbnails, crashes.

Version-Release number of selected component:
evince-3.22.1-4.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 3
cmdline:        evince-thumbnailer -s 256 file:///home/michael/sj/manuals/Manuals%202017-18%20copies%20and%20sources/sophomore%20music/piece2a.pdf /tmp/.gnome_desktop_thumbnail.QT3R2Y
executable:     /usr/bin/evince-thumbnailer
global_pid:     3591
kernel:         4.11.8-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 ??
 #1 _synctex_free_input at synctex_parser.c:736
 #6 synctex_scanner_free at synctex_parser.c:2917
 #7 ev_document_finalize at ev-document.c:126
Comment 1 mb272936 2017-07-04 22:28:38 EDT
Created attachment 1294397 [details]
File: backtrace
Comment 2 mb272936 2017-07-04 22:28:40 EDT
Created attachment 1294398 [details]
File: cgroup
Comment 3 mb272936 2017-07-04 22:28:41 EDT
Created attachment 1294399 [details]
File: core_backtrace
Comment 4 mb272936 2017-07-04 22:28:42 EDT
Created attachment 1294400 [details]
File: dso_list
Comment 5 mb272936 2017-07-04 22:28:43 EDT
Created attachment 1294401 [details]
File: environ
Comment 6 mb272936 2017-07-04 22:28:44 EDT
Created attachment 1294402 [details]
File: limits
Comment 7 mb272936 2017-07-04 22:28:47 EDT
Created attachment 1294403 [details]
File: maps
Comment 8 mb272936 2017-07-04 22:28:48 EDT
Created attachment 1294404 [details]
File: mountinfo
Comment 9 mb272936 2017-07-04 22:28:49 EDT
Created attachment 1294405 [details]
File: namespaces
Comment 10 mb272936 2017-07-04 22:28:50 EDT
Created attachment 1294406 [details]
File: open_fds
Comment 11 mb272936 2017-07-04 22:28:51 EDT
Created attachment 1294407 [details]
File: proc_pid_status
Comment 12 mb272936 2017-07-04 22:28:52 EDT
Created attachment 1294408 [details]
File: var_log_messages
Comment 13 mb272936 2017-07-05 12:27:21 EDT
Similar problem has been detected:

I don't know!  Started viewing a pdf file.

reporter:       libreport-2.8.0
backtrace_rating: 3
cmdline:        evince-thumbnailer -s 256 file:///home/michael/sj/manuals/Manuals%202017-18%20copies%20and%20sources/sophomore%20music/piece2a.pdf /tmp/.gnome_desktop_thumbnail.F1ZN2Y
executable:     /usr/bin/evince-thumbnailer
global_pid:     17019
kernel:         4.11.8-200.fc25.x86_64
package:        evince-3.22.1-4.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         evince-thumbnailer killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Caolan McNamara 2017-07-06 09:42:19 EDT
Can you attach "/home/michael/sj/manuals/Manuals 2017-18 copies and sources/sophomore music/piece2a.pdf" to this bugzilla report. That's the input file which is causing the crash so if we can get that we can probably reproduce this
Comment 15 mb272936 2017-07-06 18:23 EDT
Created attachment 1295056 [details]
file that may be causing evince to crash, requested by Caolan McNamara

This may be causing the crash.  However, I haven't used this file for several days.  Yet evince has been continually crashing during this time, often without my loading a new file to view.

Thanks for looking at this bug.  I wish I could give more definite information about how to reproduce it.  Should I file a bug report every time evince crashes (maybe a dozen times per day)?
Comment 16 Caolan McNamara 2017-07-07 06:33:32 EDT
evince-thumbnailer -s 256 piece2a.pdf doesn't crash here and nothing reported under valgrind either so not reproducible.

Multiple crashes per day doesn't sound normal. I rather suspect there's something specifically wrong with your install or memory hardware

Note You need to log in before you can comment on or make changes to this bug.